%define name stuff
%define version 1.11
%define release 1

Summary: generate artificial catalogs of astronomical sources

Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.iap.fr/pub/from_users/bertin/%{name}/%{name}-%{version}.tar.gz
URL: http://terapix.iap.fr/soft/%{name}/
License: LGPL
Group: Sciences/Astronomy
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Stuff is a program that generates artificial but realistic catalogs of
astronomical sources.

%prep
%setup -q

%build
if test "$TPXFLAGS"; then
./configure --enable-static --prefix=$RPM_BUILD_ROOT/usr/local/ --mandir=$RPM_BUILD_ROOT/usr/local/man/
make CFLAGS="$TPXFLAGS" LIBS="$TPXLIBS"
else
./configure --prefix=$RPM_BUILD_ROOT/usr/local/ --mandir=$RPM_BUILD_ROOT/usr/local/man/
make
fi

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/bin/stuff
/usr/local/man/man1/stuff.1
/usr/local/man/manx/stuff.x
%doc AUTHORS BUGS ChangeLog COPYING HISTORY INSTALL README THANKS

%changelog
* Fri Jun 27 2008 Emmanuel Bertin <bertin@iap.fr>
- Automatic RPM rebuild

# end of file
